package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.xss.Xss;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

public class Overview extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long overviewId;

    private String title;

    private String summary;

    private String image;

    private String video;

    private String status;

    public Long getOverviewId()
    {
        return overviewId;
    }

    public void setOverviewId(Long overviewId)
    {
        this.overviewId = overviewId;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    @Xss(message = "标题不能包含脚本字符")
    @NotBlank(message = "标题不能为空")
    @Size(min = 0, max = 200, message = "标题不能超过200个字符")
    public String getTitle()
    {
        return title;
    }

    public void setSummary(String summary)
    {
        this.summary = summary;
    }

    public String getSummary()
    {
        return summary;
    }

    public void setImage(String image)
    {
        this.image = image;
    }

    public String getImage()
    {
        return image;
    }

    public void setVideo(String video)
    {
        this.video = video;
    }

    public String getVideo()
    {
        return video;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("overviewId", getOverviewId())
            .append("title", getTitle())
            .append("summary", getSummary())
            .append("image", getImage())
            .append("video", getVideo())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
